Bug 114682 - wish: about library path
Summary: wish: about library path
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Setup-Collections (show other bugs)
Version: 0.7.4
Platform: Slackware Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-10-19 13:44 UTC by Domenico Salvagnin
Modified: 2022-01-20 16:03 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 7.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Domenico Salvagnin 2005-10-19 13:44:39 UTC
Version:           0.7.4 (using KDE KDE 3.4.2)
Installed from:    Slackware Packages
OS:                Linux

Hello!

I have a couple of wishes that IMHO could make digikam even more usable than 
now.

I have two folders in which I store images on my computer: one 
is /media/Images, which is managed by the root user and on which I have only 
read access. The other is in my home folder, and of course I can do what I 
want there.

Now, digikam is quite annoying in this scenario for a couple of reasons:

- the choice of the library path is very "static", while I would like to 
switch very fast from one directory to another. Maybe a document logic could 
help here...or at least a command line switch

- I cannot switch to a library path where I don't have write access (at least 
with digikam 0.7.4). I know there are some good reasons beyond this, but I 
think that this is very limiting!!! There are a lot of nice digikam features, 
like browsing, searching, slideshow, set as wallpaper, etc... that are 
perfectly compatible with a read only library path, i.e., a read only db!

I know that the first wish has already been expressed in #102412 and #107871,
but I really can't see the problem. Moreover, if people keep asking it, it
means it is not a so rare situation!
Finally there is still the second wish...

Thanks

Domenico
Comment 1 caulier.gilles 2007-11-06 16:15:49 UTC
SVN commit 733526 by cgilles:

digiKam from trunk (KDE4) : add Multiple Roots Album Path on setup.

With new database interface implemented by Marcel, digiKam can use more than one root album path as collection of images.
digiKam database file is now stored in a customized place wich still in local and can be different than roots album. 
This is want mean than read only, remote repository, and disconnected repository are fully suported as well.

These collection types are able to use:

- Local drive.
- Remote drive (NFS/Samba) previously mounted in local file system. 
- Removable drive as CD/DVD/USB hard drive.

Each collection set in configuaration dialog page can be named to be identified easily into Album GUI/Folder view.

There is a fresh screenshot of Collection Setup page at this url:

http://digikam3rdparty.free.fr/Screenshots/digikamKDE4_14.png

TODO: in album gui, and especially in album folder view, we need to add a better support of collections name. 

CCMAIL: digikam-devel@kde.org
BUG: 107871
BUG: 114682
BUG: 122516
CCBUGS: 125474



 M  +434 -67   setupcollections.cpp  
 M  +13 -1     setupcollections.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=733526